## Parameters

`module S : sig ... end`

## Signature

`val iter_pred : (S.PV.t -> unit) -> S.t -> S.PV.t -> unit`
`val fold_pred : (S.PV.t -> 'a -> 'a) -> S.t -> S.PV.t -> 'a -> 'a`
`val pred : S.t -> S.PV.t -> S.PV.t list`
`val in_degree : S.t -> S.PV.t -> int`
`val iter_pred_e : (S.PE.t -> unit) -> S.t -> S.PV.t -> unit`
`val fold_pred_e : (S.PE.t -> 'a -> 'a) -> S.t -> S.PV.t -> 'a -> 'a`
`val pred_e : S.t -> S.PV.t -> S.PE.t list`